# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib ; rm -rf libeofono.so )
( cd usr/lib ; ln -sf libeofono.so.1.7.4 libeofono.so )
( cd usr/lib ; rm -rf libedbus.so )
( cd usr/lib ; ln -sf libedbus.so.1.7.4 libedbus.so )
( cd usr/lib ; rm -rf libebluez.so.1 )
( cd usr/lib ; ln -sf libebluez.so.1.7.4 libebluez.so.1 )
( cd usr/lib ; rm -rf libehal.so )
( cd usr/lib ; ln -sf libehal.so.1.7.4 libehal.so )
( cd usr/lib ; rm -rf libenotify.so )
( cd usr/lib ; ln -sf libenotify.so.1.7.4 libenotify.so )
( cd usr/lib ; rm -rf libeofono.so.1 )
( cd usr/lib ; ln -sf libeofono.so.1.7.4 libeofono.so.1 )
( cd usr/lib ; rm -rf libebluez.so )
( cd usr/lib ; ln -sf libebluez.so.1.7.4 libebluez.so )
( cd usr/lib ; rm -rf libenotify.so.1 )
( cd usr/lib ; ln -sf libenotify.so.1.7.4 libenotify.so.1 )
( cd usr/lib ; rm -rf libedbus.so.1 )
( cd usr/lib ; ln -sf libedbus.so.1.7.4 libedbus.so.1 )
( cd usr/lib ; rm -rf libeconnman0_7x.so.1 )
( cd usr/lib ; ln -sf libeconnman0_7x.so.1.7.4 libeconnman0_7x.so.1 )
( cd usr/lib ; rm -rf libehal.so.1 )
( cd usr/lib ; ln -sf libehal.so.1.7.4 libehal.so.1 )
( cd usr/lib ; rm -rf libeukit.so.1 )
( cd usr/lib ; ln -sf libeukit.so.1.7.4 libeukit.so.1 )
( cd usr/lib ; rm -rf libeconnman0_7x.so )
( cd usr/lib ; ln -sf libeconnman0_7x.so.1.7.4 libeconnman0_7x.so )
( cd usr/lib ; rm -rf libeukit.so )
( cd usr/lib ; ln -sf libeukit.so.1.7.4 libeukit.so )
